{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.outputParameters()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.returnResult(Lorg/eclipse/uml2/uml/Operation;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.isUnique(Lorg/eclipse/uml2/uml/Operation;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.getReturnResult(Lorg/eclipse/uml2/uml/Operation;)Lorg/eclipse/uml2/uml/Parameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateableElementOperations.parameterableElements(Lorg/eclipse/uml2/uml/TemplateableElement;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ReceptionOperations.validateSameNameAsSignal(Lorg/eclipse/uml2/uml/Reception;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.validateRedefinitionConsistent(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateableElementOperations.isTemplate(Lorg/eclipse/uml2/uml/TemplateableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.validateMembersDistinguishable(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getNamesOfMember(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ReceptionOperations.validateSameStructureAsSignal(Lorg/eclipse/uml2/uml/Reception;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.validateNonLeafRedefinition(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.createPackageImport(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/PackageImport;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedPackages()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.isConsistentWith(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.isConsistentWith(Lorg/eclipse/uml2/uml/Operation;Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.validateAbstractNoMethod(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.setLower(Lorg/eclipse/uml2/uml/Operation;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.validateRedefinitionContextValid(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.setUpper(Lorg/eclipse/uml2/uml/Operation;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.isOrdered(Lorg/eclipse/uml2/uml/Operation;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.setIsUnique(Lorg/eclipse/uml2/uml/Operation;Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.getType(Lorg/eclipse/uml2/uml/Operation;)Lorg/eclipse/uml2/uml/Type;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.setIsOrdered(Lorg/eclipse/uml2/uml/Operation;Z)V": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.excludeCollisions(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterableElementOperations.isCompatibleWith(Lorg/eclipse/uml2/uml/ParameterableElement;Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.membersAreDistinguishable()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.validateCannotImportSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.inputParameters()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.validateOnlyBodyForQuery(Lorg/eclipse/uml2/uml/Operation;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.validateAtMostOneReturn(Lorg/eclipse/uml2/uml/Operation;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterableElementOperations.isTemplateParameter(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.createElementImport(Lorg/eclipse/uml2/uml/PackageableElement;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/ElementImport;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.validateCannotImportOwnedMembers(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.importMembers(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.getUpper(Lorg/eclipse/uml2/uml/Operation;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.createReturnResult(Ljava/lang/String;Lorg/eclipse/uml2/uml/Type;)Lorg/eclipse/uml2/uml/Parameter;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.getLower(Lorg/eclipse/uml2/uml/Operation;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.setType(Lorg/eclipse/uml2/uml/Operation;Lorg/eclipse/uml2/uml/Type;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 2
  }
}